SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPFNDREC_REQUEST_SETS_TL';

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted   
	FROM
		FND_REQUEST_SETS			A,
		FND_REQUEST_SETS_TL			L
	WHERE	UPPER(SUBSTR(L.DESCRIPTION,1,4))	=	UPPER('&1')
	AND		A.REQUEST_SET_ID = L.REQUEST_SET_ID
	AND		A.APPLICATION_ID = L.APPLICATION_ID;
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_FND_REQUEST_SETS_TL;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
